package
 {
  import flash.display.Sprite;
  import flash.display.Loader;
  import flash.net.URLRequest;
  import flash.events.MouseEvent;
  import flash.events.ProgressEvent;

  public class AR_Thumbnail extends AR_Image
   {
	private var link     : String;
	private var target   : AR_winImage;
	private var progress : AR_Loader;
	private var index    : int;

    public function AR_Thumbnail(url : String, lnk : String, trg : AR_winImage, w : int, h : int, idx : int = 0)
     {
      super(url,w,h);

      buttonMode    = true;
      useHandCursor = true;
      index  = idx;
      link   = lnk;
      target = trg;
      target.image.useHandCursor = true;
      addEventListener(MouseEvent.CLICK, click);

      loader.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS, eventProgress);

      progress = new AR_Loader();
      progress.x = (image_width  - progress.width) / 2;
      progress.y = (image_height - progress.height) / 2;
      if(url != "") addChild(progress);
     }

    private function click(event : MouseEvent) : void
     {
	  target.getDesktop().addChild(target);
	  target.setUrl(link);
	  target.setCurrent(index);
	  target.loadImage();
     }

    private function eventProgress(event : ProgressEvent) : void
     {
	  var p : int = (int)(event.bytesLoaded / event.bytesTotal * 100);
      progress.setPercentage(p);
      if(p >= 100) removeChild(progress);
     }
    
    public function getLink() : String
     {
	  return link;
	 }

    public function setIndex(i : int) : void
     {
	  index = i;
	 }
   }
 }
